HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetOrdersId

Contains the different functions to run the operation getOrdersId

  • 2 types
  • 2 values
valuegetOrdersId
  1. :: MonadHTTP m
  2. => GetOrdersIdParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetOrdersIdResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/orders/{id}

<p>Retrieves the details of an existing order. Supply the unique order ID from either an order creation request or the order list, and Stripe will return the corresponding order information.</p>

Defines the object schema located at paths./v1/orders/{id}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON
datadata GetOrdersIdResponse
#

Represents a response of the operation getOrdersId.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetOrdersIdResponseError is used.

Constructors

Instances2Eq, Show